List Jobs

get https://app.mk.io/api/v1/projects/:project_name/media/jobs

Listing, Sorting and Filtering Jobs

This endpoint returns the list of jobs in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/lastModified, properties/state, updated, updatedBy

Filtering

The $filter query parameter allows for jobs to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/lastModified, properties/state, transform, updated, updatedBy, updatedByEmail, updatedByName

Examples:

?$top=10 - Returns only the first 10 jobs from the list.

?$orderby=name desc - Sorts jobs by name in descending order.

?$filter=name eq 'descriptive name' - Returns jobs that match the provided name.

?$orderby=created desc - Sorts jobs by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns jobs created after January 1, 2021.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 A list of all jobs
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
supplementalobjectListResponseSupplementalSchemaRequired
Supplemental info
Show 5 propertiesHide 5 properties
countintegerRequired
Number of items returned
kindstringRequired
Type of items in the list
operationstringRequired
Operation type. Should always say 'list'
paginationobjectPaginationInfoSchemaRequired
Pagination info
Show 4 propertiesHide 4 properties
endintegerRequired
Position of the last item in the list
recordsintegerRequired
Total number of items returned in the list
startintegerRequired
Position of the first item in the list
totalintegerRequired
Total number of items in the project
subscriptionobjectProjectInfoSchemaOptional
Project info
Show 2 propertiesHide 2 properties
idstringRequired
Project ID
namestringRequired
Project name
valuelist of objectsJobSchemaRequired
A list of Jobs
Show 5 propertiesHide 5 properties
idstringOptional
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
namestringOptional1-260 characterspattern: ^[^\^\'<>%&:\\?/*+]+$
The name of the resource
propertiesobjectJobPropertiesRequired
Properties of the job
Show 11 propertiesHide 11 properties
correlationDatamap from strings to anyOptional
Customer provided key, value pairs that will be returned in Job and JobOutput state events.
Show value schemaHide value schema
[any key]any
createdstringOptionalformat: date-time
The creation date and time of the Job. Set by the system.
descriptionstring or nullOptional<=1024 characters
The description of the Job.
endTimestring or nullOptional
The UTC date and time at which this Job finished processing
inputobjectRequired
The inputs of the Job.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.JobInputAssetobjectJobInputAsset
@odata.typestringRequired
The discriminator for derived types.
assetNamestringRequired
The name of the input Asset
endobjectOptional
Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.AbsoluteClipTimeobjectAbsoluteClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalpattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTimeobjectUtcClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalformat: date-time
The time position on the timeline of the input media based on UTC time.
triggerobjectScteTriggerOptional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
Show 3 propertiesHide 3 properties
filterslist of list of mapssOptional
Outer array is OR-combined; each inner array is AND-combined field matchers.
Show value schemaHide value schema
[any key]any
searchRangeobjectScteTriggerSearchRangeOptional
Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is time if present, else dispatch_time (start) or resolved_start (end).
Show 2 propertiesHide 2 properties
endOffsetstringRequired
Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").
startOffsetstringRequired
Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalTypeenumRequired
Signal type.
Allowed values:SCTE35
fileslist of stringsOptional
List of files.
labelstringOptional
A label that is assigned to a JobInputClip
startobjectOptional
Defines a point on the timeline of the input media at which processing will start. Defaults to the beginning of the input media.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.AbsoluteClipTimeobjectAbsoluteClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalpattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTimeobjectUtcClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalformat: date-time
The time position on the timeline of the input media based on UTC time.
triggerobjectScteTriggerOptional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
Show 3 propertiesHide 3 properties
filterslist of list of mapssOptional
Outer array is OR-combined; each inner array is AND-combined field matchers.
Show value schemaHide value schema
[any key]any
searchRangeobjectScteTriggerSearchRangeOptional
Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is time if present, else dispatch_time (start) or resolved_start (end).
Show 2 propertiesHide 2 properties
endOffsetstringRequired
Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").
startOffsetstringRequired
Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalTypeenumRequired
Signal type.
Allowed values:SCTE35
#Microsoft.Media.JobInputHttpobjectJobInputHttp
@odata.typestringRequired
The discriminator for derived types.
baseUristringOptional
Base URI for HTTPS job input. It will be concatenated with provided file names. If no base uri is given, then the provided file list is assumed to be fully qualified uris.
endobjectOptional
(NOT IMPLEMENTED) Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.AbsoluteClipTimeobjectAbsoluteClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalpattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTimeobjectUtcClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalformat: date-time
The time position on the timeline of the input media based on UTC time.
triggerobjectScteTriggerOptional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
Show 3 propertiesHide 3 properties
filterslist of list of mapssOptional
Outer array is OR-combined; each inner array is AND-combined field matchers.
Show value schemaHide value schema
[any key]any
searchRangeobjectScteTriggerSearchRangeOptional
Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is time if present, else dispatch_time (start) or resolved_start (end).
Show 2 propertiesHide 2 properties
endOffsetstringRequired
Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").
startOffsetstringRequired
Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalTypeenumRequired
Signal type.
Allowed values:SCTE35
fileslist of stringsRequired
List of files. Required for JobInputHttp.
labelstringOptional
A label that is assigned to a JobInputClip
startobjectOptional
(NOT IMPLEMENTED) Defines a point on the timeline of the input media at which processing will start. Defaults to the beginning of the input media.
Show 2 variantsHide 2 variants

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.AbsoluteClipTimeobjectAbsoluteClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalpattern: ^P(?:(?P<years>\d+)Y)?(?:(?P<months>\d+)M)?(?:(?P<weeks>\d+)W)?(?:(?P<days>\d+)D)?T(?:(?P<hours>\d+)H)?(?:(?P<minutes>\d+)M)?(?:(?P<seconds_fract>(?:\d*.)?\d+)S)?$
The time position on the timeline of the input media. Specified as an ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTimeobjectUtcClipTime
@odata.typestringRequired
The discriminator for derived types.
timestringOptionalformat: date-time
The time position on the timeline of the input media based on UTC time.
triggerobjectScteTriggerOptional
SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
Show 3 propertiesHide 3 properties
filterslist of list of mapssOptional
Outer array is OR-combined; each inner array is AND-combined field matchers.
Show value schemaHide value schema
[any key]any
searchRangeobjectScteTriggerSearchRangeOptional
Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is time if present, else dispatch_time (start) or resolved_start (end).
Show 2 propertiesHide 2 properties
endOffsetstringRequired
Closes the signal-search window relative to the anchor (ISO 8601 Duration, e.g. "PT2M").
startOffsetstringRequired
Opens the signal-search window relative to the anchor (ISO 8601 Duration; negative allowed, e.g. "-PT5M").
signalTypeenumRequired
Signal type.
Allowed values:SCTE35
lastModifiedstringOptionalformat: date-time
The last modified date and time of the Job. Set by the system.
outputslist of objectsRequired
The outputs for the Job.
Show 1 variantHide 1 variant

Discriminated by @odata.type. Select one variant:

#Microsoft.Media.JobOutputAssetobjectJobOutputAsset
@odata.typestringRequired
The discriminator for derived types.
assetNamestringRequired
The name of the output Asset
endTimestring or nullOptional
The UTC date and time at which this Output finished processing.
errorobjectJobErrorOptional
Details of the Job Output if it is in error state.
Show 4 propertiesHide 4 properties
categoryenumOptional
Allowed values:AccountConfigurationContentDownloadServiceUpload
codeenumOptional
Allowed values:ConfigurationUnsupportedContentMalformedContentUnsupportedDownloadNotAccessibleDownloadTransientErrorIdentityUnsupportedServiceErrorServiceTransientErrorUploadNotAccessibleUploadTransientError
messagestringOptional
retryenumOptional
Allowed values:DoNotRetryMayRetry
labelstringOptional
A label that is assigned to a JobOutput in order to help uniquely identify it.
progressinteger or nullOptionalDefaults to 0
If the JobOutput is in a Processing state, this contains the Job completion percentage. The value is an estimate and not intended to be used to predict Job completion times.
startTimestring or nullOptional
The UTC date and time at which this Output began processing.
stateenum or nullOptionalDefaults to Queued
The current state of the job.
Allowed values:CanceledCancelingErrorFinishedProcessingQueuedScheduled
priorityenumOptionalDefaults to Normal
Priority with which the job should be processed. Higher priority jobs are processed before lower priority jobs. If not set, the default is normal.
Allowed values:HighLowNormal
recordingobject or nullJobRecordingOptional
Recording status. Present only for recording jobs.
Show 6 propertiesHide 6 properties
actualEndTimestring or nullOptional
The content range actually captured — end.
actualStartTimestring or nullOptional
The content range actually captured — start.
detailsstring or nullOptional
Error details; empty otherwise.
stateenumOptional
Current recording lifecycle state.
Allowed values:ScheduledWaitingInProgressCompletedError
targetEndTimestring or nullOptional
The boundary the pod is currently targeting for clip end.
targetStartTimestring or nullOptional
The boundary the pod is currently targeting for clip start.
startTimestring or nullOptionalformat: date-time
The UTC date and time at which this Job started processing
stateenumOptionalDefaults to Queued
The current state of the job.
Allowed values:CanceledCancelingErrorFinishedProcessingQueuedScheduled
systemDataobjectSystemDataSchemaOptional
Metadata pertaining to creation and last modification of the resource.
Show 7 propertiesHide 7 properties
createdAtstringRequiredformat: date-time
The timestamp of resource creation (UTC).
createdBystringRequired
The identity that created the resource.
createdByTypeenumRequired
The type of identity that created the resource.
Allowed values:UserApplicationManagedIdentityKey
internalIdstringRequiredformat: uuid
The internal ID of the resource.
lastModifiedAtstringRequiredformat: date-time
The timestamp of resource last modification (UTC).
lastModifiedBystringRequired
The identity that last modified the resource.
lastModifiedByTypeenumRequired
The type of identity that last modified the resource.
Allowed values:UserApplicationManagedIdentityKey
typestringOptional
The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code